#ifndef ERRORDETAILS_H
#define ERRORDETAILS_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHBoxLayout>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QTextBrowser>
#include <QtGui/QVBoxLayout>

class Ui_ErrorDetails
{
public:
    QVBoxLayout *vboxLayout;
    QTextBrowser *testresults;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QPushButton *okButton;
    QSpacerItem *spacerItem1;

    void setupUi(QDialog *ErrorDetails)
    {
    ErrorDetails->setObjectName(QString::fromUtf8("ErrorDetails"));
    ErrorDetails->setEnabled(true);
    ErrorDetails->resize(QSize(477, 458).expandedTo(ErrorDetails->minimumSizeHint()));
    ErrorDetails->setAcceptDrops(false);
    ErrorDetails->setWindowIcon(QIcon());
    vboxLayout = new QVBoxLayout(ErrorDetails);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(9);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    testresults = new QTextBrowser(ErrorDetails);
    testresults->setObjectName(QString::fromUtf8("testresults"));

    vboxLayout->addWidget(testresults);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    okButton = new QPushButton(ErrorDetails);
    okButton->setObjectName(QString::fromUtf8("okButton"));

    hboxLayout->addWidget(okButton);

    spacerItem1 = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem1);


    vboxLayout->addLayout(hboxLayout);

    retranslateUi(ErrorDetails);
    QObject::connect(okButton, SIGNAL(clicked()), ErrorDetails, SLOT(close()));

    QMetaObject::connectSlotsByName(ErrorDetails);
    } // setupUi

    void retranslateUi(QDialog *ErrorDetails)
    {
    ErrorDetails->setWindowTitle(QApplication::translate("ErrorDetails", "Verification failed", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("ErrorDetails", "OK", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(ErrorDetails);
    } // retranslateUi

};

namespace Ui {
    class ErrorDetails: public Ui_ErrorDetails {};
} // namespace Ui

#endif // ERRORDETAILS_H
